import java.applet.*;
import javax.swing.*;
import java.awt.*;

public class BarvniTrikotnik extends Applet {
  int globina;
  public void init()
  {
     globina = Integer.parseInt(JOptionPane.showInputDialog("Globina fraktala"));
  }

    public void paint(Graphics g) {
      int sirina = getWidth();
      int visina = getHeight();

      setBackground(Color.black);

      int a = Math.min(sirina, visina);
      trikotnik(globina, g, 0, 0, a, Color.red, Color.green, Color.blue);
    }

    public static Color zmesaj(Color x, Color y)
    {
      int r = (x.getRed() + y.getRed()) / 2;
      int g = (x.getGreen() + y.getGreen()) / 2;
      int b = (x.getBlue() + y.getBlue()) / 2;

      return new Color(r,g,b);
    }

    public static Color zmesaj(Color x, Color y, Color z) {
      int r = (x.getRed() + y.getRed() + z.getRed()) / 3;
      int g = (x.getGreen() + y.getGreen() + z.getGreen()) / 3;
      int b = (x.getBlue() + y.getBlue() + z.getBlue()) / 3;

      return new Color(r,g,b);
    }

    public static void trikotnik(int n, Graphics g, int x, int y, int a,
             Color c1, Color c2, Color c3)
    {
      if (n == 1) {
          g.setColor(zmesaj(c1, c2, c3));
          g.fillRect(x, y, a, a);
      }
      else {
          trikotnik(n - 1, g, x, y, a/2,
               c1, zmesaj(c1, c2), zmesaj(c1, c3));

          trikotnik(n - 1, g, x + a/2, y, a/2,
               zmesaj(c1, c2), c2, zmesaj(c2, c3));

          trikotnik(n - 1, g, x + a/4, y + a/2, a/2,
               zmesaj(c1, c3), zmesaj(c2, c3), c3);
     }
  }
}
