import java.applet.*;
import java.awt.*;
import javax.swing.*;

public class Preproga extends Applet
{
   int stopnja;
   int zx, zy, stran;

   public void Sierp(Graphics g, int n, int ax, int ay, int st)
   {
      // nariemo preprogo stopnje n e je levo zgoraj (ax,ay) in stranica st

      if (n == 0)
      { // kvadrat
         g.fillRect(ax, ay, st, st);
      }
      else
      {
         int stranTret = st / 3;
         Sierp(g, n - 1, ax, ay, stranTret);
         Sierp(g, n - 1, ax + stranTret, ay, stranTret);
         Sierp(g, n - 1, ax + 2 * stranTret, ay, stranTret);

         Sierp(g, n - 1, ax, ay + stranTret, stranTret);
         Sierp(g, n - 1, ax + 2 * stranTret, ay + stranTret, stranTret);

         Sierp(g, n - 1, ax, ay + 2 * stranTret, stranTret);
         Sierp(g, n - 1, ax + stranTret, ay + 2 * stranTret, stranTret);
         Sierp(g, n - 1, ax + 2 * stranTret, ay + 2 * stranTret, stranTret);

      }
   } // ==================== Koch ====================

   public void paint(Graphics g)
   {
      g.fillRect(zx, zy, stran, stran);
      g.setColor(Color.white);
      Sierp(g, stopnja, zx, zy, stran);
   }

   public void init()
   {
      String beri;
      beri = JOptionPane.showInputDialog("Stopnja rte?");
      stopnja = Integer.parseInt(beri);
      beri = JOptionPane.showInputDialog("Zaetna t. x?");
      zx = Integer.parseInt(beri);
      beri = JOptionPane.showInputDialog("Zaetna t. y?");
      zy = Integer.parseInt(beri);
      beri = JOptionPane.showInputDialog("Stranica?");
      stran = Integer.parseInt(beri);
   }
}



