import java.applet.*;
import javax.swing.*;
import java.awt.*;

public class Fraktal_smesko extends Applet
{
  int globina;

  public void init()
  {
     globina = Integer.parseInt(JOptionPane.showInputDialog("Globina fraktala"));
  }

  public void paint(Graphics g)
  {
     int sirina = getWidth();
     int visina = getHeight();

     setBackground(Color.black);

     int a = Math.min(sirina, visina);
     fraktal(globina, g, 0, 0, a);
  }


   public static void fraktal(int n, Graphics g, int x, int y, int a)
   {
      if (n == 1)
      {
          smesko(g, x + a/2, y + a/2, a/2);
      }
      else
      {
          fraktal(n - 1, g, x, y, a/2);
          fraktal(n - 1, g, x + a/2, y, a/2);
          fraktal(n - 1, g, x, y + a/2, a/2);
      }
    }

    public static void smesko(Graphics g, int x, int y, int r)
    {
      Color obraz = Color.yellow;
      Color usta = Color.blue;

      // narisemo obraz
      g.setColor(obraz);
      g.fillOval(x - r, y - r, 2 * r, 2 * r);

      // narisemo oci in usta
      g.setColor(usta);

      int r2 = (3 * r) / 16; // polmer oci

      // levo oko
      g.fillOval(x - r/2 - r2, y - r/3 - r2, 2 * r2, 2 * r2);

      // desno oko
      g.fillOval(x + r/2 - r2, y - r/3 - r2, 2 * r2, 2 * r2);

      // usta
      int r3 = (2 * r) / 3; // polmer ust

      g.fillArc(x - r3, y - r3/4, 2 * r3, (4 * r3)/3, -0, -180);
      g.setColor(obraz);
      g.fillArc(x - (7 * r3)/6, y - r3/2, (7 * r3)/3, (4 * r3)/3, -0, -180);
    }
}
